package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年9月21日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_E_EXAM_PT_RELATION")
@IdClass(ExamPaperTypeRelationPK.class)
public class ExamPaperTypeRelationEntity extends JpaEntity {

	private static final long serialVersionUID = -5192942623365129036L;

	@Id
	private Long examId;

	@Id
	private Long courseId;

	@Id
	private String paperType;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

}
