package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

@Entity
@Table(name = "EC_E_EXAM_COURSE_RELATION", indexes = {
		@Index(name = "IDX_E_E_C_R_008001", columnList = "courseId", unique = false)})
@IdClass(ExamCourseRelationPK.class)
public class ExamCourseRelationEntity extends JpaEntity {

	private static final long serialVersionUID = 757531976286006550L;

	@Id
	private Long examId;

	@Id
	private Long courseId;

	@Column(nullable = false)
	private String courseName;

	@Column(nullable = false)
	private String courseCode;

	@Column(nullable = false)
	private String courseLevel;

	@Column(nullable = false)
	private Boolean courseEnable;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public Boolean getCourseEnable() {
		return courseEnable;
	}

	public void setCourseEnable(Boolean courseEnable) {
		this.courseEnable = courseEnable;
	}

}
